> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/partner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/partner/partner-api/api-reference/account-sharing.md).

# Account Sharing

Endpoints for account sharing features and configurations

## Onboard new number using account sharing feature

> This endpoint allows partners to onboard a number that is shared with solution.\
> One of \`waba\_business\_id\` or \`client\_id\` must be specified.\
> \
> Note: This endpoint is primarily for partners hosting embedded signup.

```json
{"openapi":"3.1.0","info":{"title":"Partners V2 API","version":"2.0.0"},"tags":[{"name":"Account Sharing","description":"Endpoints for account sharing features and configurations"}],"servers":[{"description":"Production Server","url":"https://hub.360dialog.io"}],"security":[{"PartnerApiKeyV2":[]},{"Bearer":[]}],"components":{"securitySchemes":{"PartnerApiKeyV2":{"type":"apiKey","name":"X-API-Key","in":"header","description":"API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method."},"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token authentication. Token obtained via /api/v2/token endpoint."}},"schemas":{"AccountSharingNewNumbersOut":{"type":"object","properties":{"solution_id":{"type":"string","description":"Meta's partner solution id"},"waba_external_id":{"type":"string","description":"Meta's Whatsapp business account (WABA) id"},"waba_business_id":{"type":"string","description":"Meta's business id which is owning WABA"},"client_id":{"type":"string","description":"Client ID that owns the number"},"tier":{"type":"string","enum":["basic","regular","premium",""],"description":"Tier that should be used for the client channel.","nullable":true},"channel_external_id":{"type":"string","description":"Meta's phone number id","nullable":true},"is_partner_hosted_es":{"type":"boolean","default":true,"description":"Whether the partner is hosting the ES"},"message":{"type":"string"}},"required":["solution_id","waba_external_id"],"additionalProperties":false},"DefaultValidationError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/MetaSchemaErrorWithDetails"}]}},"required":["meta"],"additionalProperties":false},"MetaSchemaErrorWithDetails":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"},"details":{"type":"object","description":"Additional error data","additionalProperties":{}}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultHttpError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/_MetaSchemaError"}]}},"required":["meta"],"additionalProperties":false},"_MetaSchemaError":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false},"AccountSharingNewNumbersIn":{"type":"object","properties":{"solution_id":{"type":"string","description":"Meta's partner solution id"},"waba_external_id":{"type":"string","description":"Meta's Whatsapp business account (WABA) id"},"waba_business_id":{"type":"string","description":"Meta's business id which is owning WABA"},"client_id":{"type":"string","description":"Client ID that owns the number"},"tier":{"type":"string","enum":["basic","regular","premium",""],"description":"Tier that should be used for the client channel.","nullable":true},"channel_external_id":{"type":"string","description":"Meta's phone number id","nullable":true},"is_partner_hosted_es":{"type":"boolean","default":true,"description":"Whether the partner is hosting the ES"}},"required":["solution_id","waba_external_id"],"additionalProperties":false}}},"paths":{"/api/v2/partners/{partner_id}/account_sharing/numbers":{"post":{"parameters":[{"in":"path","name":"partner_id","description":"The ID of the partner.","schema":{"type":"string"},"required":true}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountSharingNewNumbersOut"}}},"description":"Successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultValidationError"}}},"description":"Wrong payload"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Not found"}},"tags":["Account Sharing"],"summary":"Onboard new number using account sharing feature","description":"This endpoint allows partners to onboard a number that is shared with solution.\nOne of `waba_business_id` or `client_id` must be specified.\n\nNote: This endpoint is primarily for partners hosting embedded signup.","operationId":"post_account_sharing_docs_api_new_numbers","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountSharingNewNumbersIn"}}}}}}}}
```

## Signup new user and create a client entity.

> This endpoint allows partners to signup a new user and create an empty client entity for the user.\
> \
> Note: This endpoint is primarily for partners hosting embedded signup.\
> \
> \*\*Rate limits:\*\* This endpoint is subject to rate limits. A maximum of \*\*1 request in 5 seconds per client email\*\* is allowed. Requests exceeding this limit will receive a \`429 Too Many Requests\` response.

```json
{"openapi":"3.1.0","info":{"title":"Partners V2 API","version":"2.0.0"},"tags":[{"name":"Account Sharing","description":"Endpoints for account sharing features and configurations"}],"servers":[{"description":"Production Server","url":"https://hub.360dialog.io"}],"security":[{"PartnerApiKeyV2":[]},{"Bearer":[]}],"components":{"securitySchemes":{"PartnerApiKeyV2":{"type":"apiKey","name":"X-API-Key","in":"header","description":"API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method."},"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token authentication. Token obtained via /api/v2/token endpoint."}},"schemas":{"DefaultHttpOut":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/_Meta"},"status_code":{"type":"integer"}},"required":["meta","status_code"],"additionalProperties":false},"_Meta":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultValidationError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/MetaSchemaErrorWithDetails"}]}},"required":["meta"],"additionalProperties":false},"MetaSchemaErrorWithDetails":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"},"details":{"type":"object","description":"Additional error data","additionalProperties":{}}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultHttpError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/_MetaSchemaError"}]}},"required":["meta"],"additionalProperties":false},"_MetaSchemaError":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false},"AccountSharingCreateClientIn":{"type":"object","properties":{"name":{"type":"string","description":"Name of the client organisation."},"email":{"type":"string","format":"email","description":"Email address of the client user."},"user_name":{"type":"string","description":"Name of the client user."},"send_client_email":{"type":"boolean","default":true,"description":"Send invitation email to a client user"},"is_initial_onboarding_client":{"type":"boolean","default":false,"description":"Mark this client as the initial onboarding client for auto-assigning new partner users"},"client_messaging_currency":{"type":"string","enum":["eur","usd","inr","brl"],"description":"Messaging currency for the client. Defaults to the partner's messaging currency when omitted.","nullable":true}},"required":["email","name"],"additionalProperties":false}}},"paths":{"/api/v2/partners/{partner_id}/account_sharing/clients":{"post":{"parameters":[{"in":"path","name":"partner_id","description":"The ID of the partner.","schema":{"type":"string"},"required":true}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpOut"}}},"description":"Successful response","headers":{"RateLimit-Limit":{"schema":{"type":"integer"},"description":"The maximum quota units allowed in the current window (from the most critical policy).","required":true},"RateLimit-Remaining":{"schema":{"type":"integer"},"description":"The number of remaining quota units (from the most critical policy).","required":true},"RateLimit-Reset":{"schema":{"type":"integer"},"description":"The time, in seconds, until the critical rate limit resets.","required":true},"RateLimit-Policy":{"schema":{"type":"string"},"description":"A Structured Field string listing all concurrent policies enforced by the server.","required":true}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultValidationError"}}},"description":"Wrong payload"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Forbidden"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Client error"}},"tags":["Account Sharing"],"summary":"Signup new user and create a client entity.","description":"This endpoint allows partners to signup a new user and create an empty client entity for the user.\n\nNote: This endpoint is primarily for partners hosting embedded signup.\n\n**Rate limits:** This endpoint is subject to rate limits. A maximum of **1 request in 5 seconds per client email** is allowed. Requests exceeding this limit will receive a `429 Too Many Requests` response.","operationId":"post_account_sharing_docs_api_create_client_and_signup_user","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountSharingCreateClientIn"}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.360dialog.com/partner/partner-api/api-reference/account-sharing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
